ZPOOL-STATUS(8)

NAME
zpool-status - show detailed health status for ZFS storage pools

SYNOPSIS
zpool status [-DeigLpPstvx] [-T u|d] [-c [SCRIPT1[,SCRIPT2]…]] [pool]… [interval [count]]

DESCRIPTION
Displays the detailed health status for the given pools. If no pool is specified, then the status of each pool in the system is displayed. For more information on pool and device health, see the Device Failure and Recovery section of zpoolconcepts(7).

If a scrub or resilver is in progress, this command reports the percentage done and the estimated time to completion. Both of these are only approximate, because the amount of data in the pool and the other workloads on the system can change.

--power
    Display vdev enclosure slot power status (on or off).

-c [SCRIPT1[,SCRIPT2]…]
    Run a script (or scripts) on each vdev and include the output as a new column in the zpool status output. See the -c option of zpool iostat for complete details.

-e  Only show unhealthy vdevs (not-ONLINE or with errors).

-i  Display vdev initialization status.

-g  Display vdev GUIDs instead of the normal device names These GUIDs can be used in place of device names for the zpool detach/offline/remove/replace commands.

-L  Display real paths for vdevs resolving all symbolic links. This can be used to look up the current block device name regardless of the /dev/disk/ path used to open it.

-p  Display numbers in parsable (exact) values.

-P  Display full paths for vdevs instead of only the last component of the path. This can be used in conjunction with the -L flag.

-D  Display a histogram of deduplication statistics, showing the allocated (physically present on disk) and referenced (logically referenced in the pool) block counts and sizes by reference count.

-s  Display the number of leaf vdev slow I/O operations. This is the number of I/O operations that didn't complete in zio_slow_io_ms milliseconds (30000 by default). This does not necessarily mean the I/O operations failed to complete, just took an unreasonably long amount of time. This may indicate a problem with the underlying storage.

-t  Display vdev TRIM status.

-T u|d
    Display a time stamp. Specify u for a printed representation of the internal representation of time. See time(1). Specify d for standard date format. See date(1).

-v  Displays verbose data error information, printing out a complete list of all data errors since the last complete pool scrub. If the head_errlog feature is enabled and files containing errors have been removed then the respective filenames will not be reported in subsequent runs of this command.

-x  Only display status for pools that are exhibiting errors or are otherwise unavailable. Warnings about pools not using the latest on-disk format will not be included.

EXAMPLES

  Example 1 : Adding output columns
Additional columns can be added to the zpool status and zpool iostat output with -c.
    # zpool status -c vendor,model,size
       NAME     STATE  READ WRITE CKSUM vendor  model        size
       tank     ONLINE 0    0     0
       mirror-0 ONLINE 0    0     0
       U1       ONLINE 0    0     0     SEAGATE ST8000NM0075 7.3T
       U10      ONLINE 0    0     0     SEAGATE ST8000NM0075 7.3T
       U11      ONLINE 0    0     0     SEAGATE ST8000NM0075 7.3T
       U12      ONLINE 0    0     0     SEAGATE ST8000NM0075 7.3T
       U13      ONLINE 0    0     0     SEAGATE ST8000NM0075 7.3T
       U14      ONLINE 0    0     0     SEAGATE ST8000NM0075 7.3T
    # zpool iostat -vc size
                  capacity     operations     bandwidth
    pool        alloc   free   read  write   read  write  size
    ----------  -----  -----  -----  -----  -----  -----  ----
    rpool       14.6G  54.9G      4     55   250K  2.69M
      sda1      14.6G  54.9G      4     55   250K  2.69M   70G
    ----------  -----  -----  -----  -----  -----  -----  ----

SEE ALSO
zpool-events(8), zpool-history(8), zpool-iostat(8), zpool-list(8), zpool-resilver(8), zpool-scrub(8), zpool-wait(8)